camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Henryk Konsek <hekon...@gmail.com>
Subject [camel extra] Mandatory Spring dependencies removed from the Hibernate component
Date Thu, 20 Sep 2012 21:25:15 GMT
Hi,

I wanted to update Hibernate component [1] to the latest version of
Hibernate (i.e. 4). The problem is however that Hibernate component
uses spring-orm module. And since Hibernate 4 is supported from Spring
>= 3.1 [2], so we basically cannot update Hibernate (as Camel 2.x uses
Spring 3.0).

I decided then to remove mandatory Spring dependencies from the
Hibernate component and stick to the pure Hibernate API. I committed
the refactoring to the Hibernate component in rev928. By default
Hibernate component uses only Hibernate API.

If somebody wants Hibernate transactions to be handled via the Spring
Transaction API, she can configure it on the component level by
setting the SpringTransactionStrategy. Maven dependency to spring-tx
is now marked as optional.

As my refactoring is a major change in the internals of the component
I would be grateful for the peer review.

BTW Hibernate component documentation [1] could use some elaboration.
And we need more tests for this component. But this is another
story...

Laters.

[1] http://camel.apache.org/hibernate.html
[2] http://blog.springsource.org/2012/04/06/migrating-to-spring-3-1-and-hibernate-4-1

-- 
Henryk Konsek
http://henryk-konsek.blogspot.com

Mime
View raw message